Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager.commands
Class ExpandGroup

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.commands.GroupsManagerCommand
          org.jasig.portal.channels.groupsmanager.commands.ExpandGroup

All Implemented Interfaces:
  GroupsManagerConstants, IGroupsManagerCommand

    public class ExpandGroup

extends GroupsManagerCommand

If the children xml elements have not already been created, this command will retrieve the group members and created the elements. This command then sets the expanded attribute for an element to "true" and lets the transformation handle the tree expansion display.

Version:
  $Revision: 1.17 $
Author:
  Don Fracapane

Field Summary

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`ExpandGroup()` Creates new ExpandGroup

Method Summary
`void` | `execute(CGroupsManagerSessionData sessionData)` This is the public method

Methods inherited from class org.jasig.portal.channels.groupsmanager.commands.GroupsManagerCommand
`clearSelected, deletePermissions, getCommand, getCommandArg, getParentId, getUserID, getXmlDoc, hasParentId, setCommandArg`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpandGroup

    public ExpandGroup()

  Creates new ExpandGroup

Method Detail

### execute

    public void execute(CGroupsManagerSessionData sessionData)
                 throws java.lang.Exception

  This is the public method

  Specified by:
    `execute` in interface `IGroupsManagerCommand`
  Overrides:
    `execute` in class `GroupsManagerCommand`
  Parameters:
    `sessionData` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD